#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.10.0.0
visibility:           public
id:                   ghcide-1.10.0.0-C4QP9CvVIM076nXC3eqO6Z
key:                  ghcide-1.10.0.0-C4QP9CvVIM076nXC3eqO6Z
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  16b7484a82ee2839008fd91ef7c05dbd
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.10.0.0-C4QP9CvVIM076nXC3eqO6Z
depends:
    Diff-0.4.1-6jpxxGMTxV7JEhWdBtmfy8
    Glob-0.10.2-HApNGMR7nkmK8EbjtR3bn7
    aeson-2.1.2.1-GLiPeiAR7ZSFwx9H49aVEA
    aeson-pretty-0.8.10-EhYclzbz2mD3aJsdm2RNMV array-0.5.4.0
    async-2.2.5-FpYc2RUKqMh7VEhubouhdj base-4.16.4.0
    base16-bytestring-1.0.2.0-6hSv34vJ6ohK7RPuedEiA binary-0.8.9.0
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-6YvMZzide0SGeZXWMWMOBC
    co-log-core-0.3.2.3-C0FMuVYlFnmCPNUaSE6EEh containers-0.6.5.1
    cryptohash-sha1-0.11.101.0-7Sg9YWKtsJGGL5svRXaPd8
    data-default-0.7.1.1-4Q2QEONQl2rBpJbSE6OFE3 deepseq-1.4.6.1
    dependent-map-0.4.0.0-737etkW0CoDBYEbit2w2rv
    dependent-sum-0.7.2.0-3G324yE3lYwIcotRi6HX0R directory-1.3.6.2
    dlist-1.0-HCxoMn9TirQDgPCFxho7O
    enummapset-0.7.3.0-4sCMnD6uTs2qRbNr2i2o8 exceptions-0.10.4
    extra-1.7.16-KTtRHJlyHaS3KSkgnIAhfn filepath-1.4.2.2
    fingertree-0.1.5.0-ANKZeJYb6ehHabkHjxYPkE
    focus-1.0.3.2-CvvDxZxal8j8fw6IYYEVtc ghc-9.2.8 ghc-boot-9.2.8
    ghc-boot-th-9.2.8 ghc-check-0.5.0.8-9J5F0ZtePxw1lhfC9S8LCY
    ghc-paths-0.1.0.12-KU8OzVy7s6GithbR4F0cp
    ghc-trace-events-0.1.2.9-FI8xtj0TQjuI48HJs0fG9x
    haddock-library-1.11.0-7DKtOnHNBFM5vEgNP5iVBO
    hashable-1.4.4.0-LbPl9rwTnDUL4mxyCHHqh0
    hie-bios-0.12.0-9vDOyhuoA8oDuIr0UdLWTl
    hie-compat-0.3.0.0-J18lPJVEz9RKJxYK1ST1Nn
    hiedb-0.4.3.0-BfWnMR9p89N94GXz3MQ3dI
    hls-graph-1.9.0.0-Ln446eHMli3Jn8E5Sosqko
    hls-plugin-api-1.6.0.0-6aAt33ROEfGFGKmYzVIAEM
    implicit-hie-0.1.2.7-Fz3cmXQTvW5BfcDasDDygO
    implicit-hie-cradle-0.5.0.1-E5wvKb4GHIo7WnQ0lEJTke
    lens-5.2.3-73GsVHKL59ZCRbUuAUvU77
    list-t-1.0.5.5-8efFOOEvnHDLujWjgrisLT
    lsp-1.6.0.0-CTr572FCQofGXaNrrF5WCB
    lsp-types-1.6.0.0-6nSbyphzQoKScqOIdR6zP mtl-2.2.2
    opentelemetry-0.8.0-9fVjpHWiPiiJ7tkReOMCtg
    optparse-applicative-0.17.1.0-ITjk3Gtgm4G5cZFlIJdtB0
    parallel-3.2.2.0-KgDyPHm89eYAjQsIhXthC1
    prettyprinter-1.7.1-7x8ULV7tlRe3aOwpDSy6yg
    prettyprinter-ansi-terminal-1.1.3-Lp5zpr6o90r12daedtMt18
    random-1.2.1.2-3sZ6vUsFrno84Of1YV0z09
    regex-tdfa-1.3.2.2-J0n1Z4I3Xb5BEv7AQ8jNrb
    safe-exceptions-0.1.7.4-4FQrRuLBsSvEBZSeDUVxP5
    sorted-list-0.2.2.0-9kReY0sRSAQAjZ9nTUeLUL
    sqlite-simple-0.4.19.0-HX3jeBrDAin65NdNPFIjjT stm-2.5.0.2
    stm-containers-1.2.1-GmJdA2tEYzE8M57Ig2AME1
    syb-0.7.2.4-89doc1zYrrWCF1u4CgIEo3 text-1.2.5.0
    text-rope-0.3-DvDJi6NBC7icCKBRorkwc time-1.11.1.1
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.25.0-7WgosFPJkuu4E0SqkjMsXT
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-4Y4A6Wn35BzvWquDAxs4Y
    vector-0.13.1.0-Il4qKxVtRccCcBZCzPMWy6

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

